import { Icon as FoundationIcon, defaultIconConfig as foundationIconConfig, foundationIconShadowOptions, } from '@genesislcap/foundation-ui';
import { zeroIconStyles as styles } from './icon.styles';
import { zeroIconTemplate as template } from './icon.template';
/**
 * @tagname %%prefix%%-icon
 */
export class Icon extends FoundationIcon {
}
export const defaultIconConfig = foundationIconConfig;
export const zeroIconShadowOptions = foundationIconShadowOptions;
export const zeroIcon = Icon.compose(Object.assign({ baseName: 'icon', template,
    styles, shadowOptions: zeroIconShadowOptions }, defaultIconConfig));
